package kr.co.vividnext.sodalive.content.main

import com.querydsl.core.annotations.QueryProjection

data class GetAudioContentRanking(
    val startDate: String,
    val endDate: String,
    val items: List<GetAudioContentRankingItem>
)

data class GetAudioContentRankingItem @QueryProjection constructor(
    val contentId: Long,
    val title: String,
    val coverImageUrl: String,
    val themeStr: String,
    val price: Int,
    val duration: String,
    val creatorId: Long,
    val creatorNickname: String
)
